"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sgf = require("staged-git-files");
const util = require("util");
const base_1 = require("../base");
const util_1 = require("../util");
const run_1 = require("./run");
class Lint extends base_1.default {
    async run() {
        const { flags } = this.parse(Lint);
        const list = util_1.default.restoreFlags(flags);
        if (flags.staged) {
            let filenames = [];
            await util.promisify(sgf)('ACM').then(files => {
                filenames = files.map(file => file.filename);
            });
            list.push(`--extras=${filenames.join(' ')}`);
        }
        await run_1.default.run(['lint', ...list]);
    }
}
Lint.strict = false;
Lint.examples = [
    '$ rde lint',
];
Lint.flags = Object.assign({}, base_1.default.flags, run_1.default.flags);
exports.default = Lint;
