"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const markdown_1 = require("../../src/services/markdown");
describe('markdown', () => {
    it('should return h1 with a class rde-h1', () => {
        const str = markdown_1.default.render('# header');
        chai_1.expect(str).to.equal('<h1 class="rde-h1">header</h1>\n');
    });
    it('should return p with a class rde-p', () => {
        const str = markdown_1.default.render('this is a paragraph');
        chai_1.expect(str).to.equal('<p class="rde-p">this is a paragraph</p>\n');
    });
    it('should return a with a class rde-a', () => {
        const str = markdown_1.default.render('[this is a paragraph](http://www.kaola.com)');
        chai_1.expect(str).to.equal('<p class="rde-p"><a class="rde-a" href="http://www.kaola.com">this is a paragraph</a></p>\n');
    });
});
